Ubuntu

nVidia card : X won't start since 1.9 update, no screens found

Reported by Mathieu Marquer on 2010-08-10
580
This bug affects 109 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
High
Alberto Milone
Maverick
High
Alberto Milone

Bug Description

Binary package hint: xorg

Since X Server 1.9 update, X won't start anymore :
* Using normal boot sequence: stuck after a few seconds on splashscreen
* Using recovery mode: stuck on a black screen before the "what do you want to do" blue menu

The only way I've found to have some display is to add "nomodeset" to the recovery grub line, then launch a failsafe X session.

I'm using a Dell Vostro 1500 with a nVidia GeForce 8600M GT graphics card. Tried with nouveau, nVidia 256.35 from repos, nVidia 256.44 from PPA and nVidia website, no success. "nv" driver seems to work hardly.

Relevant part of the Xorg.log :

[ 24.313] (II) LoadModule: "nvidia"
[ 24.313] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 24.313] dlopen: /usr/lib/xorg/extra-modules/nvidia_drv.so: undefined symbol: WindowTable
[ 24.317] (EE) Failed to load /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 24.321] (II) UnloadModule: "nvidia"
[ 24.321] (EE) Failed to load module "nvidia" (loader failed, 7)
[ 24.325] (EE) No drivers available.
[ 24.328]
Fatal server error:
[ 24.335] no screens found

same "no screens found" with nouveau, not with the exact same wording though.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: xserver-xorg 1:7.5+6ubuntu3
ProcVersionSignature: Ubuntu 2.6.35-14.20-generic 2.6.35
Uname: Linux 2.6.35-14-generic x86_64
Architecture: amd64
Date: Tue Aug 10 21:01:52 2010
DkmsStatus:
 vboxnetadp, 3.2.8, 2.6.35-14-generic, x86_64: installed
 vboxdrv, 3.2.8, 2.6.35-14-generic, x86_64: installed
 vboxnetflt, 3.2.8, 2.6.35-14-generic, x86_64: installed
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100803.1)
MachineType: Dell Inc. Vostro 1500
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-14-generic root=UUID=78f68dfa-6ae4-4507-b63d-73e5133558a1 ro single nomodeset
ProcEnviron:
 LANG=fr_FR.utf8
 SHELL=/bin/bash
SourcePackage: xorg
dmi.bios.date: 04/21/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0WY040
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd04/21/2008:svnDellInc.:pnVostro1500:pvr:rvnDellInc.:rn0WY040:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Vostro 1500
dmi.sys.vendor: Dell Inc.
glxinfo: Error: [Errno 2] Aucun fichier ou dossier de ce type
system:
 distro: Ubuntu
 codename: maverick
 architecture: x86_64
 kernel: 2.6.35-14-generic

Mathieu Marquer (slasher-fun) wrote :
Harry (harry33) wrote :

Hi there,
You have three options to go:
1) wait until nvidia-current_256.44 gets updated
2) downgrade xorg-xserver to 1.8.2 (the maverick older version or even xorg-edgers lucid version)
3) try adding the following lines to xorg.conf (forcing nvidia drivers to obey) and reboot:
Section "ServerFlags"
 Option "ignoreABI" "True"
EndSection

Mathieu Marquer (slasher-fun) wrote :

Hi,

Thanks for the answer. Unfortunately, #3 has already been ineffective for me :-/

Mathieu Marquer (slasher-fun) wrote :

OK, what I had tried was to launch X with the -ignoreABI parameter, but putting the option in the xorg.conf makes it working.

Robert Hooker (sarvatt) on 2010-08-10
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Chris Halse Rogers (raof) wrote :

This should be fixed by the next nvidia upload, soon.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Daniel Hahler (blueyed) wrote :

For what it's worth: "Section "ServerFlags" \n Option "ignoreABI" "True" \n EndSection" did not work for me (I have a 6600GT).

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Triaged
Tony Mugan (tmugan) wrote :

I have the same issue with nvidia kernel but nouveau works fine.
Only an Alt-Sysrq-B gets any response even in recovery mode for 2.6.35-14-generic kernel.

Fortunately, I still had a mainline kernel (2.6.34-020634-generic) from testing before I upgraded to Maverick from Lucid.
This kernel in recovery mode allowed me to get back in to set nouveau as the driver.

I reported this in the duplicate bug
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/616626

Daniel Hahler (blueyed) wrote :

> This kernel in recovery mode allowed me to get back in to set nouveau as the driver.

How did you do this? Just change the "Driver" line in xorg.conf, or rather remove the nvidia-current package etc?

Tony Mugan (tmugan) wrote :

I ran the recovery mode for that kernel and was able to choose the failsafe video option.
Then I chose to reconfigure graphics and setup a new configuration.
Finally restarted X and was into a desktop environment again.

Then I was able to restore the old xorg.conf that was replaced bu the broken one dependent on nvidia drivers.

nouveau worked for me i the first place so it was just a matter of getting back to that state.

Jamie Kitson (jamie-kitson) wrote :

For me just removing xorg.conf worked.

Tony Mugan (tmugan) wrote :

Actually, yes. That's what I did.
No xorg.conf at all now.

David Leal (dgleal) wrote :

Looks like I'm the unlucky one. Noveau doesn't work, ignoreABI doesn't work inside xorg.conf or passed from the command line, and removing xorg.conf just fires up the vesa driver. I'm back to nv. Ahh, the memories... and the slowness...

Alberto R Mitre (armitre) wrote :

I updated to Maverick yesterday. After that, Ubuntu wouldn't initialize X because of this error. I could fix it doing this:

1) FailsafeX in the newest kernel: restore Xorg.conf from scratch, then restart X.

With this, I was able to start Ubuntu normally, but the 3d effects were disabled because Ubuntu wasn't able to load the "nvidia" module. No hardware acceleration, and the screen wasn't detected either.

2) Added a repository with latest nvidia-current firmware. Then updated and upgraded. This repository is:

http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu maverick main

3) Made "sudo nvidia-xconfig". That filled the xorg.conf from the blank file I had before
4) Added the ignoreABI thing to the xorg.conf file.

With this, now I'm using Ubuntu as usual, with hardware acceleration, screen detected, etc...

Štefan Porhinčák (denwerko) wrote :

After today's (Fri Aug 13 20:38:27 UTC 2010) upgrade it works after adding ignoreABI to xorg.conf, when running without it it shows message

[ 20.253] (EE) NVIDIA: Use the -ignoreABI option to override this check.

Don't know if update was from main repos or from http://ppa.launchpad.net/nvidia-vdpau/ppa/ubuntu , sorry about that.

Miloš Mandarić (mandzo18) wrote :

On пет, 2010-08-13 at 20:42 +0000, Štefan Porhinčák wrote:
> Don't know if update was from main repos or from
> http://ppa.launchpad.net/nvidia-vdpau/ppa/ubuntu , sorry about that.
yes it is from the main repos. And I can confirm that adding ignoreABI
works.

MADevil (madevil) wrote :

Yes i can confirm , after upgrade without nvidia-vdpau repo , it works (driver 256.44 installed by jockey-kde)

Here still black screen (with ignoreABI)

Sorry, it does work here too, main repos

MADevil (madevil) wrote :

You can see the ignoreABI effect in your Xorg log :

================ WARNING WARNING WARNING WARNING ================
This server has a video driver ABI version of 8.0 that this
driver does not officially support. Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
=================================================================

Artur Rona (ari-tczew) wrote :

Also affected by this bug.

Jamie Kitson (jamie-kitson) wrote :

Fixed now, with ignoreABI.

dan rhodes (daniel-r-rhodes) wrote :

Have to say, nothing's changed for me. Did full dist-upgrade, saw all the nvidia bits coming in, rebooted and did an nvidia-xconfig then added the ignoreABI stuff and rebooted to a flashing black screen as before. FailsafeX works fine.

Nick Semenkovich (semenko) wrote :

Still broken for me as well.

With nvidia updates, X will not start (with the ABI error).

Adding ignoreABI results in blank screens. (I've tried recreating xorg.conf, etc.)

dan rhodes (daniel-r-rhodes) wrote :

Just to add, I now have an nvidia_173 in addition to the driver in "hardware drivers". Have tried disabling either and both with no effect.

dan rhodes (daniel-r-rhodes) wrote :

OK...several more time removing and readding drivers, reconfiguring xorg and adding the ignoreABI and I'm back up and running...

Tony Mugan (tmugan) wrote :

Not working for me.
I've updated everything and tried the ignoreABI option to no avail.
I've got 2.6.34-020634 mainline kernel installed which is the only option (in recovery mode) that will boot for me.
Then I can easily remove the xorg.conf and reboot to geta working desktop with nouveau drivers.

Mainline kernels here if anyone wants them.

http://kernel.ubuntu.com/~kernel-ppa/mainline/

Tony Mugan (tmugan) wrote :

In my X.0.log I do have the ABI error but the ignoreABI option in xorg.conf leaves me with a blank screen.

[ 5.067] ================ WARNING WARNING WARNING WARNING ================
[ 5.067] This server has a video driver ABI version of 8.0 that this
driver does not officially support. Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
[ 5.067] =================================================================

I also have the IgnoreABI being recognised in the same log file.

[ 5.010] (**) Option "IgnoreABI" "True"
[ 5.010] (**) Ignoring ABI Version
[ 5.010] (==) Automatically adding devices

Tony Mugan (tmugan) wrote :

Anyone who is having trouble still, try putting ServerFlags at the top of the xorg.conf file
I had it below ServerLayout and it failed, moved it to top and it worked.
Then configured with the GUI tool for nvidia and it reverted to second and would not work.
After moving it back to top of file, all is well.

Section "ServerFlags"
    Option "ignoreABI" "True"
EndSection

Section "ServerLayout"
    Identifier "Layout0"
    Screen 0 "Screen0" 0 0
    InputDevice "Keyboard0" "CoreKeyboard"
    InputDevice "Mouse0" "CorePointer"
    Option "Xinerama" "0"
EndSection

dan rhodes (daniel-r-rhodes) wrote :

That must have been my problem, because that is where I put it in the last attempt and now it's working.

Nick Semenkovich (semenko) wrote :

> Anyone who is having trouble still, try putting ServerFlags at the top of the xorg.conf file
> After moving it back to top of file, all is well.

Thanks Tony -- moving ServerFlags up fixed it!

Tony Mugan (tmugan) wrote :

Excellent, now who do we tell to get it remedied permanently? :)

Francesco Fumanti (frafu) wrote :

I don't know whether it can be qualified as a fix; I would rather say that it is a work around the problem because I suppose that a fix should make it work without the IgnoreABI flag.

Mehmet (mehmeteribol) wrote :

I'am using Go 6100 with nvidia 185 and its not working with IgnoreABI

Tony Mugan (tmugan) wrote :

@Mehmet Tried the advice at post #28 above?

Mehmet (mehmeteribol) wrote :

No, it still is not working.

Mehmet (mehmeteribol) wrote :

Now its working but only when i start recovery mode not with gdm(or tty5)

doug (doughahn56) wrote :

Thank you so much! maverick update broke nvidia on 08-14-2010I fixed it using #28 what a hassle/relief Open Source - you gotta love it!

Jeffrey Magder (jeff-magder) wrote :

I can confirm that option #3 in message #2 works for me.

JarekJ83 (jarekj83) wrote :

still not workin for me, waitin for beta...hope i will test MM then.

NoOp (glgxg) wrote :

None of the above work with nvidia-96. Only this:

$ apt-cache policy xserver-xorg-core
xserver-xorg-core:
  Installed: 2:1.8.1.902-0ubuntu2
  Candidate: 2:1.8.99.905-1ubuntu1
  Version table:
     2:1.8.99.905-1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ maverick/main i386 Packages

or using the nouveau with 2:1.8.99.905-1ubuntu1. But of course no compiz 3D etc.

Philip Muškovac (yofel) wrote :

Noop: please note that this bug is for nvidia-current (256) please file a new bug against nvidia-96 for your issue.

On 08/16/2010 04:13 PM, Philip Muškovac wrote:
> Noop: please note that this bug is for nvidia-current (256) please file
> a new bug against nvidia-96 for your issue.
>

You are correct. Sorry for the noise.

Mehmet (mehmeteribol) wrote :

Is problem Solved?

LCID Fire (lcid-fire) wrote :

Not for me - log says:
(II) LoadModule: "nvidia"
(II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
 compiled for 4.0.2, module version = 1.0.0
 Module class: X.Org Video Driver
================ WARNING WARNING WARNING WARNING ================
This server has a video driver ABI version of 8.0 that this
driver does not officially support. Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
=================================================================
[ 1564.608] (WW) NVIDIA: The driver will continue to load, but may behave strangely.
(WW) NVIDIA: This driver was compiled against the X.Org server SDK from git commit 2307ab5bc9365ebbe04568edb7c7620a23689b70 and may not be compatible with the final version of this SDK.
(WW) NVIDIA: This server has an unsupported input driver ABI version (have 11.0, need < 10.0). The driver will continue to load, but may behave strangely.
(EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your
(EE) NVIDIA: system's kernel log for additional error messages.
(II) UnloadModule: "nvidia"
(II) Unloading /usr/lib/xorg/extra-modules/nvidia_drv.so
(EE) Failed to load module "nvidia" (module-specific error, 0)
(EE) No drivers available.
Fatal server error:
no screens found

potito (ladillavirtual) wrote :

IgnoreABI option works for me, but i have slowness in 2D.
Could the ABI change in new xserver broke the 2D performance?
Video & 3D works well.

Mehmet (mehmeteribol) wrote :

It's big problem for me. ignoreABI sometimes works sometimes not. And nouveau too. I have to use vesa and its horrible. I cant watch the movie or flash video.

John Vivirito (gnomefreak) wrote :

Setting ignoreABI fails to work for me

Changed in nvidia-graphics-drivers (Ubuntu Maverick):
assignee: nobody → Alberto Milone (albertomilone)
Alex M. Lowe (lengau) wrote :

As of tonight (after updating to kernel version 2.6.35-17 and xserver-xorg-core 1.8.99.905-1ubuntu3), the ignoreABI workaround works for me.

My hardware is a GeForce 8600M GT (I'm wondering if ignoreABI working vs. not working has anything to do with what generation of chips is used).

vanchuck (vanchuck) wrote :

I was able to work around this issue today by editing the xorg.conf file to use the 'nv' driver, which at least allowed me to boot regularly.

I then used the Administration > Hardware Drivers applet to install the (latest) nvidia-current drivers, which allowed me to restart fine. I now have full nvidia drivers, and my xorg.conf is identical to what it was before the upgrade.

I'm going to assume the "Hardware Drivers" applet updated one of the relevant packages or performed some other magic that made it work, but I have no idea what it was.

vanchuck (vanchuck) wrote :

apologies for the double-comment, but I just re-opened my xorg.conf to find that the ignoreABI had been added! Presumably by Hardware Drivers applet, so that is what allowed it to work (without me ever having to edit my xorg.conf file)

Tony Mugan (tmugan) wrote :

I had nvidia working for the past week using the settings as shown in comment 28 above
https://bugs.launchpad.net/ubuntu/maverick/+source/nvidia-graphics-drivers/+bug/616023/comments/28

However, updates today have broken it again.
Even though Xorg.0.log shows that the IgnoreABI setting is being accepted,

[ 4.405] (**) Option "IgnoreABI" "True"
[ 4.405] (**) Ignoring ABI Version

The updates today have caused the nvidia driver not to be loaded.

[ 4.437] ================ WARNING WARNING WARNING WARNING ================
[ 4.437] This server has a video driver ABI version of 8.0 that this
driver does not officially support. Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
[ 4.437] =================================================================
[ 4.437] (WW) NVIDIA: The driver will continue to load, but may behave strangely.
[ 4.437] (WW) NVIDIA: This driver was compiled against the X.Org server SDK from git commit 2307ab5bc9365ebbe04568edb7c7620a23689b70 and may not be compatible with the final version of this SDK.
[ 4.437] (WW) NVIDIA: This server has an unsupported input driver ABI version (have 11.0, need < 10.0). The driver will continue to load, but may behave strangely.
[ 4.443] (EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your
[ 4.443] (EE) NVIDIA: system's kernel log for additional error messages.
[ 4.443] (II) UnloadModule: "nvidia"
[ 4.443] (II) Unloading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 4.444] (EE) Failed to load module "nvidia" (module-specific error, 0)
[ 4.444] (EE) No drivers available.

JarekJ83 (jarekj83) wrote :

its workin on desktop edition but on netbook-remix still not workin

Option "ignoreABI" "True" helped, 8600 GTS

I get frequent system hangs and kernel oops's when using the 256.44 drivers and current meerkat xorg. tried adding xorg-swat ppa, but nothing from that repo anyways except for more recent nvidia-settings package.

System freezes in one of two ways:

1) X freeze and keyboard freeze ( mouse is still movable but may have screen tearing/corruption) Still able to ssh into machine, but cannot switch between virtual terminals. Shows Xorg at 100% cpu utilisation, and there is NO way to kill the xorg process. reboot and shutdown now (acpi event shutdowns) do not work any more. However I still am able to launch new processes etc. ... except for X related stuff.

2) As above but also causes complete freeze (mouse is still moveable) but networking/existing running services are become unavaialbel.

Using KDE hangs are more frequent than with gnome desktop.

On exit from SMplayer with vdpau seems to reliably cuase the bug.

Using GT240 PCI-E card.

Download full text (7.5 KiB)

[ 6287.840626] BUG: soft lockup - CPU#1 stuck for 61s! [mplayer:16756]
[ 6287.840626] Modules linked in: snd_seq_dummy ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs reiserfs ipt_LOG ipt_MASQUERADE xt_state ip6t_LOG xt_multiport xt_tcpudp ip6table_filter ip6_tables iptable_filter nf_nat_sip nf_nat_proto_dccp nf_nat_amanda nf_nat_ftp nf_nat_h323 nf_nat_pptp nf_nat_proto_gre nf_nat_irc nf_nat_tftp nf_nat_proto_sctp iptable_nat ip_tables nf_nat_snmp_basic nf_nat_proto_udplite nf_nat ebt_snat ebtable_nat ebtables ebt_dnat act_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_conntrack_proto_sctp nf_conntrack_proto_udplite nf_conntrack_sane nf_conntrack_h323 nf_conntrack_netlink nfnetlink nf_conntrack_proto_dccp nf_conntrack_tftp ts_kmp nf_conntrack_amanda nf_conntrack_sip nf_conntrack_ftp nf_conntrack_netbios_ns nf_conntrack_irc xt_conntrack x_tables nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack nls_utf8 udf ppp_async crc_ccitt binfmt_misc 8021q garp bridge stp nfsd exportfs nfs snd_hda_codec_nvhdmi lockd fscache nfs_acl auth_rpcgss nvidia(P) sunrpc snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd edac_core edac_mce_amd k10temp soundcore snd_page_alloc it87 hwmon_vid i2c_piix4 ppdev lp parport_pc parport serio_raw joydev raid10 raid456 async_pq async_xor xor async_memcpy async_raid6_recov usbhid hid raid6_pq async_tx raid1 raid0 multipath linear btrfs zlib_deflate floppy crc32c firewire_ohci firewire_core sata_via crc_itu_t r8169 libcrc32c mii pata_atiixp ahci libahci [last unloaded: kvm]
[ 6287.840626] CPU 1
[ 6287.840626] Modules linked in: snd_seq_dummy ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs reiserfs ipt_LOG ipt_MASQUERADE xt_state ip6t_LOG xt_multiport xt_tcpudp ip6table_filter ip6_tables iptable_filter nf_nat_sip nf_nat_proto_dccp nf_nat_amanda nf_nat_ftp nf_nat_h323 nf_nat_pptp nf_nat_proto_gre nf_nat_irc nf_nat_tftp nf_nat_proto_sctp iptable_nat ip_tables nf_nat_snmp_basic nf_nat_proto_udplite nf_nat ebt_snat ebtable_nat ebtables ebt_dnat act_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_conntrack_proto_sctp nf_conntrack_proto_udplite nf_conntrack_sane nf_conntrack_h323 nf_conntrack_netlink nfnetlink nf_conntrack_proto_dccp nf_conntrack_tftp ts_kmp nf_conntrack_amanda nf_conntrack_sip nf_conntrack_ftp nf_conntrack_netbios_ns nf_conntrack_irc xt_conntrack x_tables nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack nls_utf8 udf ppp_async crc_ccitt binfmt_misc 8021q garp bridge stp nfsd exportfs nfs snd_hda_codec_nvhdmi lockd fscache nfs_acl auth_rpcgss nvidia(P) sunrpc snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd edac_core edac_mce_amd k10temp soundcore snd_page_alloc it87 hwmon_vid i2c_piix4 ppdev lp parport_pc parport serio_raw joydev raid10 raid456 async_pq async_xor xor async_memcpy async_raid6_recov usbhid hid raid6_pq async_tx raid1 raid0 multipath linear btrfs zlib_deflate floppy crc32c firewire_ohci firewire_core sata_via crc_itu_t r8169 libcrc32c mii pata_atiixp ahci libahci [l...

Read more...

Philip Muškovac (yofel) wrote :

aenertia: can you please file a new bug? This bug is about the ABI incompatibility which causes the driver to not start at all.

Looks related to : https://bbs.archlinux.org/viewtopic.php?id=102202

Will try with the older beta driver.

Cannot file new bug against standard as have since tried using xorg-edgers as a fix... with no results.

New bug for instability issues lodged here:

https://bugs.launchpad.net/xorg-server/+bug/626159

Randall Ross (randall) wrote :

This bug is in need of a summary of current status. What works? What is broken? And, what's the schedule for restoring nVidia to it's 10.04 functionality. This would be a terrible regression if it makes it into beta.

John Vivirito (gnomefreak) wrote :

summary?
do you mean like:
X wont start with no screens found error when using Nvidia?

Randall Ross (randall) wrote :

 Perhaps a summary look be something like:

Driver Version: 256.35
Symptoms:
Workaround (if any):
Scheduled for fix by: <date>

Driver Version: 256.44
Symptoms:
Workaround (if any):
Scheduled for fix by: <date>

Driver Version: 256.52
Symptoms:
Workaround (if any):
Scheduled for fix by: <date>

Philip Muškovac (yofel) wrote :

On 08/29/2010 08:07 PM, Randall Ross (rrnwexec) wrote:
> This bug is in need of a summary of current status. What works? What is
> broken? And, what's the schedule for restoring nVidia to it's 10.04
> functionality. This would be a terrible regression if it makes it into
> beta.
>

From what I know 96 and 173 currently don't work at all, and jockey was
patched to add the 'ignoreABI' option when installing nvidia-current so
it at least won't fail out of the box. The proper fix has to be done by
nVidia.

Artur Rona (ari-tczew) wrote :

nVidia 256.52 has fixed this issue. The test driver is available in Ubuntu-X-Swat PPA:
https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Francesco Fumanti (frafu) wrote :

@Artur

Does nVidia 256.52 also work without the IgnoreABI flag?

Mehmet (mehmeteribol) wrote :

@Artur, thanks for information. I use nvidia go6100 and its working well now.

Artur Rona (ari-tczew) wrote :

I didn't change xorg.conf and I don't see IgnoreABI in my xorg.conf, so it works.

Changed in nvidia-graphics-drivers (Ubuntu Maverick):
status: Triaged → In Progress
Harry (harry33) wrote :

Alberto,
please build the deb packages from the new stable version 256.53 (publiced 31.8.2010).

Randall Ross (randall) wrote :

 @Alberto & Harry

256.52 appears to fix the "won't start" issue (without needing ABI
ignore hints), but also appears to have performance issues. I get
slowdowns and choppy 2D and 3D effects when using it.

Will 256.53 help?

On 10-09-01 07:01 AM, Harry wrote:
> Alberto,
> please build the deb packages from the new stable version 256.53 (publiced 31.8.2010).
>

Harry (harry33) wrote :

Hi Randall,

You are correct about the new issue of 2D and 3D acceleration sluggishness.
The 2D sluggishness in scrolling for instance can clearly be seen like this:
open synaptic and try to scroll the package list with mouse.

However, this may not be a driver issue after all.
At least NVidias Aaron Plattner claims it is merely a regression in xserver 1.9.

Anyway, threre was no scrolling sluggishness issues in xserver 1.9 with the NVidia drivers 256.44.
It worked very fluently.

Aaron Plattner (aplattner) wrote :

"At least NVidias Aaron Plattner claims it is merely a regression in xserver 1.9."

I didn't say that. All I said was that if an experiment shows that using the same driver, xserver 1.8 is fast and xserver 1.9 is slow, that it's not reasonable to immediately assume that the problem is in the driver. It's still possible for the problem to be in the driver, but we now have one point of circumstantial evidence that it's not (except that you just contradicted your earlier posts by saying that 256.44 is *not* slow with xserver 1.9). Somebody needs to do some more investigation to say for sure one way or the other. I don't have time to look at it right now, I'm afraid.

Harry (harry33) wrote :

Aaron,

Thank you for your heads up. I made an error in my comment #69 above.
What I wanted to say was that nvidia-current worked very fluently with xserver 1.8 regarding any scrolling.
This is true for both Lucid Lynx (10.04) and Maverick Merkaat (10.10).

And once again, immediately after upgrading my maverick setup to xserver 1.9 branch (rc5 at that time), I noticed severe sluggisshness, especially with the application "Synaptic". However, the browsers like Chromium and Firefox and on the other hand, word processor like Openoffice.org writer do not seem to suffer this kind of sluggisshness.
I experienced this sluggisshness both with the drivers nvidia-current_256.44 and 256.52.
I have not tested this with v. 256.53 as this is not yet available as a deb package.
I hope Alberto Milone is working on that one.

I will not argue with you, Aaron, about what you meant to say,
but these are your exact words (taken from the bug #623399, comment #5):

"If scrolling using the same driver but a different X server shows different performance, it's highly likely that the regression is in the X server and not the driver."

As you said "highly likely", it made me think you really believe this to be true.
Well now you have corrected this and that is it.
I have no reason not to believe you.

Thank You once again.

Tim Jones (tim-mr-dog) wrote :

Hi, my xorg.conf says to use the nvidia driver, but xdpyinfo reports that I'm not using the nvidia driver (explains the sluggishness), even though /var/log/Xorg.0.log says that I'm using the nvidia driver??? Maybe I'm reading this wrong but I remember in the past xdpyinfo reports differently when the driver is active.

nvidia-current:
256.52-0ubuntu0sarvatt
xserver-xorg-core:
2:1.9.0+git20100902+server-1.9-branch.79ee78de-0ubuntu0sarvatt

Cheers,
Tim

Alberto Milone (albertomilone) wrote :

I uploaded driver 256.53, however we're in beta freeze now, therefore packages will be available only after the beta freeze.

Thanks for your patience.

Changed in nvidia-graphics-drivers (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: added: iso-testing
Harry (harry33) wrote :

Tim Jones and Randall Ross,

The beta freeze is over and new packages are being built in Launchpad all the time.
So new stable nvidia-current_256.53 will soon find its way there.
But,
I do not expect it to resolve any of the sluggisshness issues, though.
There are not too many changes in the 256.53 driver compared to the pre-release version 256.52.
I have tested version 256.52 quite a lot now (see my comment #71) and that did not resolve sluggisshness.
If it is a driver issue.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 256.53-0ubuntu1

---------------
nvidia-graphics-drivers (256.53-0ubuntu1) maverick; urgency=low

  [ Alberto Milone ]
  * New upstream release:
    - Fixed a bug that prevented XvMC from initializing in most
      cases.
    - Added support for xorg-server video driver ABI version 8,
      which will be included in the xorg-server-1.9 series of
      releases (LP: #616023).
    - Fixed a bug that caused extremely slow rendering of OpenGL
      applications on X screens other than screen 0 when using a
      compositing manager.
    - Fixed a regression introduced after 256.35 that caused
      stability problems on GPUs such as GeForce GT 240.
    - Fixed a slow kernel virtual address space leak observed
      when starting and stopping OpenGL, CUDA, or VDPAU
      applications.
    - Fixed a bug that left the system susceptible to hangs
      when running two or more VDPAU applications simultaneously.

  [ Robert Hooker ]
  * debian/dkms/patches/nvidia-2.6.36-ioctl.patch:
    - Add patch from nvnews to add compatibility with kernel
      2.6.36.
 -- Alberto Milone <email address hidden> Thu, 02 Sep 2010 16:39:53 +0200

Changed in nvidia-graphics-drivers (Ubuntu Maverick):
status: Fix Committed → Fix Released
Brian Rogers (brian-rogers) wrote :

Does adding
  Option "UseEvents" "True"
into your xorg.conf's Device section help?

That option has always improved things for me.

Harry (harry33) wrote :

Brian, this bug (X won't start since 1.9 update, no screens found) has been fixed and the fix has been released.
I can confirm nvidia-current_256.53 fixes this bug.

The performance issue is another bug and that one is dealt elsewhere,
see the bug #629910

Alberto Milone (albertomilone) wrote :

@Harry
Please file a separate bug report about your problem.

Thanks

jcwinnie (jcwinnie) wrote :

Sorry if this is noise. Updated today, as yesterday and day before and still no X, although the low level error that damaged XFS seems to have resolved.

jcwinnie (jcwinnie) wrote :

failsafeX does / does not work. Weird background. Login is viewable (not so with regular boot) after login, weird background and non-response. I hope the command-line cowboys will take pity upon us poor GUI-dependent testers soon.

Philip Muškovac (yofel) wrote :

@jcwinnie: *this* bug has been fixed, please file a new bug with 'ubuntu-bug nvidia-current' for your issue, thanks!

gfb@celeritasmarkets.com (gfb) wrote :

I experienced the same results as others have here, I upgraded to Maverick from Lucid. I use an NVIDIA NVS 450.
[ 36.263] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 36.264] (II) Module nvidia: vendor="NVIDIA Corporation"
[ 36.264] compiled for 4.0.2, module version = 1.0.0
[ 36.264] Module class: X.Org Video Driver
[ 36.265] (EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your
[ 36.265] (EE) NVIDIA: system's kernel log for additional error messages.
[ 36.265] (II) UnloadModule: "nvidia"
[ 36.265] (II) Unloading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 36.265] (EE) Failed to load module "nvidia" (module-specific error, 0)
[ 36.265] (EE) No drivers available.
[ 36.265]
Fatal server error:
[ 36.265] no screens found

Problem resolved by installing the nouveau-firmware package.
reboot then run sudo nvidia-xconfig.

John Vivirito (gnomefreak) wrote :

Is there any reason the upstream task is still open, at least on this bug report?

Artur Rona (ari-tczew) wrote :

Good point, this bug was fixed in upstream 256.53.

Changed in nvidia-drivers-ubuntu:
status: New → Fix Released
Justin Uptmor (skeeby) wrote :

after upgrading from 10.04 i can assure you this bug is still here...

-----------------------------------------------------

[ 9.541] compiled for 1.9.0, module version = 1.0.0
[ 9.541] ABI class: X.Org ANSI C Emulation, version 0.4
[ 9.541] (II) Loading sub module "ramdac"
[ 9.541] (II) LoadModule: "ramdac"
[ 9.541] (II) Module "ramdac" already built-in
[ 9.542] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[ 9.542] (==) NVIDIA(0): RGB weight 888
[ 9.542] (==) NVIDIA(0): Default visual is TrueColor
[ 9.542] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[ 9.542] (**) NVIDIA(0): Enabling RENDER acceleration
[ 9.542] (II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
[ 9.542] (II) NVIDIA(0): enabled.
[ 9.542] (EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module. Please see the
[ 9.542] (EE) NVIDIA(0): system's kernel log for additional error messages and
[ 9.542] (EE) NVIDIA(0): consult the NVIDIA README for details.
[ 9.542] (EE) NVIDIA(0): *** Aborting ***
[ 9.542] (II) UnloadModule: "nvidia"
[ 9.542] (II) UnloadModule: "wfb"
[ 9.542] (II) UnloadModule: "fb"
[ 9.542] (EE) Screen(s) found, but none have a usable configuration.
[ 9.542]
Fatal server error:
[ 9.542] no screens found
[ 9.542]
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[ 9.542] Please also check the log file at "/var/log/Xorg.5.log" for additional information.
[ 9.542]
[ 9.553] ddxSigGiveUp: Closing log

--------------------------------------------------------

please assist and thanks ahead of time.

Justin Uptmor (skeeby) wrote :

sorry realized that i cut off much of the log. adding the log as an attachment right now as juptmor_Xorg.5.log

thanks again

Justin Uptmor (skeeby) wrote :
Justin Uptmor (skeeby) wrote :

update: after marking nvidia packages for complete remove and reinstalling several times this now works. most likely caused by some other setting i had, my apologies.

Ryu Ito (kumaryu-watchtower) wrote :

I believe the fix discussed above (256.53, released: 2010.08.31) only provides a solution for only some of the users. Although it added support for xorg-server video driver ABI version 8 / xorg-server-1.9, the driver does not support legacy cards such as the Geforce 5 FX series.

The currently recommended driver for Geforce 5 FX is currently 173.14.27. The problem is that 173.14.27 is intended for use with X.Org xserver 1.8 and Maverick comes with xserver 1.9.

A workaround that appears to work (for me) is item two listed at the top of this discussion:
  " 2) downgrade xorg-xserver to 1.8.2 (the maverick older version or even xorg-edgers lucid version)"
A good instruction for implementing this workaround is outlined here: http://ubuntuforums.org/showthread.php?p=9875191 which downgrades xserver-xorg to the ones in Lucid.

Not sure about the medium-term implications of the workaround however.

Changed in nvidia-graphics-drivers (Ubuntu Maverick):
status: Fix Released → Incomplete
Philip Muškovac (yofel) wrote :

Closing the taks for the current driver again as *that* has been fixed.

Changed in nvidia-graphics-drivers (Ubuntu Maverick):
status: Incomplete → Fix Released
Philip Muškovac (yofel) wrote :
Ryu Ito (kumaryu-watchtower) wrote :

Ah! Apologies and Thanx.
626974 appears to be where its at.

Saurabh Gupta (bhaismachine) wrote :

I have read the complete thread and gone through all the procedure of solving this problem but am unable to get my graphics card working on the restricted nvidia binaries. I am now going to downgrade my xorg-xserver but that is not a fix but a workaround and am not sure if it works. I am using GeForce GT130M graphics card which worked out of the box on Ubuntu 10.04 rather the xorg which was shipped with that version of Ubuntu.

Changed in nvidia-drivers-ubuntu:
status: Fix Released → Incomplete
Philip Muškovac (yofel) wrote :

The bug that caused the driver to fail for us has been fixed, if you still have a problem, please file a new bug!

Changed in nvidia-drivers-ubuntu:
status: Incomplete → Fix Released

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Joel Wiramu

Joel Wiramu Pauling
Lab Manager/ Integration Engineer at Alcatel-Lucent
New Zealand

Confirm that you know Joel Wiramu Pauling:
https://www.linkedin.com/e/-idiugm-gz7i7lpd-25/isd/6105875613/BzAH0q7T/?hs=false&tok=0Zp6TB5ng0mR81

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/-idiugm-gz7i7lpd-25/pygo7bJSwihJnWn9M2EFa8MS-jriVr6fi4e_BSQ/goo/616023%40bugs%2Elaunchpad%2Enet/20061/I2122673337_1/?hs=false&tok=2qrfiIuo40mR81

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.